/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.mx.metadata;

import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import java.io.InputStream;
import org.jboss.mx.service.ServiceConstants;

/**
 * XMBeanEntityResolver.java
 *
 *
 * Created: Sun Sep  1 20:54:10 2002
 *
 * @author <a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>
 * @version $Revision: 1.1.2.4 $
 */

public class XMBeanEntityResolver 
   implements EntityResolver, ServiceConstants
{
   public XMBeanEntityResolver() 
   {
      
   }

   public InputSource resolveEntity(String publicId, String systemId)
   {
      try
      {
         if (publicId.equals(PUBLIC_JBOSSMX_XMBEAN_DTD_1_0))
         {
            InputStream dtdStream = getClass().getResourceAsStream("/metadata/" + JBOSSMX_XMBEAN_DTD_1_0);

            return new InputSource(dtdStream);
         
         } // end of if ()
         if (publicId.equals(PUBLIC_JBOSSMX_XMBEAN_DTD_1_1))
         {
			InputStream dtdStream = getClass().getResourceAsStream("/metadata/" + JBOSSMX_XMBEAN_DTD_1_1);

			return new InputSource(dtdStream);
        	
         }
         /*this one doesn't exist in source, so I'm leaving it out.
         if (publicId.endsWith(XMBEAN_DTD)) 
         {
            InputStream dtdStream = getClass().getResourceAsStream(XMBEAN_DTD);
            return new InputSource(dtdStream);
         
         } // end of if ()
         */
      }
      catch( Exception ignore )
      {
      }
      return null;
   }
      

}// XMBeanEntityResolver
